services:
  frontend:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: croplogic-frontend
    restart: unless-stopped
    env_file:
      - .env
    environment:
      - NODE_ENV=production
    networks:
      - crop_network  

networks:
  crop_network:
    external: true  